Showing questions tagged: Show all questions

Can't download extensions - error says "To use these add-ons, you'll need to download Firefox" while I'm using Firefox

I'm having trouble downloading any add-ons whilst using Firefox the error says: "To use these add-ons, you'll need to download Firefox" I have re-download Firefox and the… (read more)

I'm having trouble downloading any add-ons whilst using Firefox the error says:

"To use these add-ons, you'll need to download Firefox"

I have re-download Firefox and the error still shows up.

Not sure what else to do.

Photo added for reference.

Asked by alexdimendoza 2 months ago

Last reply by cor-el 2 months ago